// PMLib basic usage example

import pmlib.*;

PMLMatrix matrix;

void setup(){
  size(400, 400);
  background(0);
  
  // Create the matrix and assign an input and output channel
  matrix = new PMLMatrix();
  matrix.addInput("/in", 0.0f, 127.0f);
  matrix.addOutput("/in", "/out", 0.0f, 1.0f);
  
  // Send some test values to the matrix and print the result
  for(int i = 0; i < 128; i ++){
    matrix.route("/in", (float) i);
    println(matrix.get("/out"));
  }
}
