// PMLib One-to-many example

import pmlib.*;

PMLMatrix matrix;

void setup(){
  size(400, 400);
  background(0);
  
  // Create the matrix and attach multiple outputs to a single input
  matrix = new PMLMatrix();
  matrix.addInput("/in", 0.0f, 1.0f);
  matrix.addOutput("/in", "/out1", 0.0f, 127.0f);
  matrix.addOutput("/in", "/out2", -1.0f, 1.0f);
  matrix.addOutput("/in", "/out3", 1.0f, 0.0f);
  
  // Send some test values to the matrix and print the result
  for(float i = 0.0f; i <= 1.0f; i += 0.1f){
    matrix.route("/in", (float) i);
    println(matrix.get("/out1"));
    println(matrix.get("/out2"));
    println(matrix.get("/out3"));
  }
}
